Cancelar una orden de transferencia en proceso
curl --request PATCH \
--url https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId} \
--header 'x-api-key: <api-key>'const options = {method: 'PATCH', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}"
headers = {"x-api-key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.patch("https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}")
.header("x-api-key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"nombre": "<string>",
"email": "<string>",
"telefono": "",
"identificador": "",
"agente": "",
"ip": "",
"latitud": 0,
"longitud": 0,
"autorizada": false,
"rechazada": false,
"fecha": "2023-11-07T05:31:56Z"
}{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}Órdenes de transferencias
Cancelar una orden de transferencia en proceso
PATCH
/
transferencias-ordenes
/
{transferenciaOrdenId}
Cancelar una orden de transferencia en proceso
curl --request PATCH \
--url https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId} \
--header 'x-api-key: <api-key>'const options = {method: 'PATCH', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}"
headers = {"x-api-key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.patch("https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}")
.header("x-api-key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest.yafacture.com/transferencias-ordenes/{transferenciaOrdenId}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"nombre": "<string>",
"email": "<string>",
"telefono": "",
"identificador": "",
"agente": "",
"ip": "",
"latitud": 0,
"longitud": 0,
"autorizada": false,
"rechazada": false,
"fecha": "2023-11-07T05:31:56Z"
}{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}Authorizations
x-api-keybearer
X-API-Key authentication header for the development token generated in Yafacture
Query Parameters
Response
Nombre del beneficiario
Correo electrónico
Número telefónico
Identificador único de la orden
Agente de transferencia
Dirección IP
Latitud geográfica
Longitud geográfica
Indica si la transferencia está autorizada
Indica si la transferencia fue rechazada
Fecha de la orden de transferencia

